package com.ruoyi.activiti.mapper;

import java.util.List;
import com.ruoyi.activiti.domain.BizCreditReport;

/**
 * 考核评分审批Mapper接口
 * 
 * @author ruoyi
 * @date 2021-11-24
 */
public interface BizCreditReportMapper 
{
    /**
     * 查询考核评分审批
     * 
     * @param id 考核评分审批ID
     * @return 考核评分审批
     */
    public BizCreditReport selectBizCreditReportById(Long id);

    /**
     * 查询考核评分审批
     *
     * @param reportId 考核评分审批ID
     * @return 考核评分审批
     */
    public BizCreditReport selectBizCreditReportByUUId(String reportId);


    /**
     * 查询考核评分审批列表
     * 
     * @param bizCreditReport 考核评分审批
     * @return 考核评分审批集合
     */
    public List<BizCreditReport> selectBizCreditReportList(BizCreditReport bizCreditReport);

    /**
     * 新增考核评分审批
     * 
     * @param bizCreditReport 考核评分审批
     * @return 结果
     */
    public int insertBizCreditReport(BizCreditReport bizCreditReport);

    /**
     * 修改考核评分审批
     * 
     * @param bizCreditReport 考核评分审批
     * @return 结果
     */
    public int updateBizCreditReport(BizCreditReport bizCreditReport);

    /**
     * 删除考核评分审批
     * 
     * @param id 考核评分审批ID
     * @return 结果
     */
    public int deleteBizCreditReportById(Long id);

    /**
     * 批量删除考核评分审批
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteBizCreditReportByIds(Long[] ids);
}
